Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.bridge
Class Request.AbortException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  php.java.bridge.Request.AbortException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Request

    public static class Request.AbortException

extends java.lang.RuntimeException

This exception isn't an exception but a construct to emulate a one-shot continuation in Java. It is used to quickly clear the stack and to jumb back to some top-level loop.

The exception is thrown when the client exits while running a callback, it aborts everything and jumps back to the top-level request-handling loop, see handleRequests() above.

Do not catch this exception! If you must catch Exception(), check for AbortException. If you invoke using the reflection interface, check for the wrapped exception, unwrap it, if necessary and re-throw the exception

See Also:
  `Request.handleRequest()`, Serialized Form

Constructor Summary
`Request.AbortException()`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Request.AbortException

    public Request.AbortException()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD